Uploaded image for project: 'camunda BPM'
  1. camunda BPM
  2. CAM-5466

Investigate npm 3 support in webapps

    Details

      Description

      We should find out what would be needed to support npm v3.x in the camunda webapps.

      We should also investigate which version of node and npm we support and add it as a prerequisite in the camunda-bpm-webapp readme on github.

        Issue Links

          Activity

          Hide
          gimbel Robert Gimbel added a comment -

          Sebastian Stamm Do you expect us to look into this in the context of 7.5 or shall we remove it from 7.5 version?

          Show
          gimbel Robert Gimbel added a comment - Sebastian Stamm Do you expect us to look into this in the context of 7.5 or shall we remove it from 7.5 version?
          Hide
          sebastian.stamm Sebastian Stamm added a comment -

          I think this is out of scope for 7.5

          Show
          sebastian.stamm Sebastian Stamm added a comment - I think this is out of scope for 7.5
          Hide
          meyer Daniel Meyer added a comment - - edited

          Sebastian Stamm should we do this for 7.7?

          Show
          meyer Daniel Meyer added a comment - - edited Sebastian Stamm should we do this for 7.7?
          Hide
          sebastian.stamm Sebastian Stamm added a comment -

          As both the LTS and Current version of node.js contain npm 3, we should do it.

          Show
          sebastian.stamm Sebastian Stamm added a comment - As both the LTS and Current version of node.js contain npm 3, we should do it.
          Hide
          sebastian.stamm Sebastian Stamm added a comment -

          I removed the required version from the documentation as it now works with multiple of them. I tested it with node 4.7.2 / npm 2.15.11 and node 7.4.0 / npm 4.0.5

          Show
          sebastian.stamm Sebastian Stamm added a comment - I removed the required version from the documentation as it now works with multiple of them. I tested it with node 4.7.2 / npm 2.15.11 and node 7.4.0 / npm 4.0.5
          Hide
          valentin.vago Valentin Vago added a comment -

          We should also add the engine entry in the package.json files.
          https://docs.npmjs.com/files/package.json#engines

          Show
          valentin.vago Valentin Vago added a comment - We should also add the engine entry in the package.json files. https://docs.npmjs.com/files/package.json#engines
          Hide
          meyer Daniel Meyer added a comment -

          Added a small comment in one of the commits

          Show
          meyer Daniel Meyer added a comment - Added a small comment in one of the commits

            People

            • Assignee:
              sebastian.stamm Sebastian Stamm
              Reporter:
              sebastian.stamm Sebastian Stamm
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development